Subject: Re: bug#66327: PARTED_CHECK_LIBPARTED shipped with parted 3.6 fails to detect it

From: Jan Palus <[email-masked]>
Date: Fri, 6 Oct 2023 00:12:44 +0200

On 04.10.2023 13:52, Brian C. Lane wrote:
> On Tue, Oct 03, 2023 at 07:01:52PM +0200, Jan Palus wrote:
> > autoconf macro PARTED_CHECK_LIBPARTED requires ped_get_version() to
> > return 3 part version string or otherwise it fails with "3.6, bad
> > version string"
> > 
> > 	if ( !(version = ped_get_version ()) )
> > 		exit(EXIT_FAILURE);
> > 	if (sscanf(version, "%d.%d.%d", &major, &minor, &micro) != 3) {
> > 		printf("%s, bad version string\n", version);
> > 		exit(EXIT_FAILURE);
> > 	}
> > 
> > Therefore it fails for two part version string like "3.6".
> > 
> > 
> > 
> 
> Thanks for the report. Where is this causing problems for you? As far as
> I can tell that code has been there since the start of the git history,
> and I've never seen a failure. I'm actually not sure it ever gets called
> by anything -- nothing uses the PARTED_CHECK_LIBPARTED macro in the
> upstream code.
> 
> I'm inclined to just delete it.

Noticed the issue when checking original fatresize codebase. Don't get
me wrong I'm completely fine with either fixing or dropping it entirely.
I just don't think it should be shipped in current shape.